package com.izouma.wenlvju.enums;

public enum RateStatus {
    /*
    草稿
     */
    DRAFT("草稿", 1),
    /*
    等待初审
     */
    FIRST_REVIEW_PENDING("等待初审", 2),
    /*
    受理
     */
    ACCEPT("正在受理", 3),
    /*
    审核完成
     */
    FIRST_REVIEW_COMPLETED("审核完成", 4),
    /*
    初审不通过
     */
    FIRST_REVIEW_DENY("初审驳回", 5),
    /*
    待分配专家组
     */
    ASSIGN_EXPERT("区县已上报", 6),
    /*
    市里退回
     */
    REVIEW_DENY("复审驳回", 7),
    /*
    待专家组考察（已分配专家组）
     */
    REVIEW_PENDING("待线下考察", 8),
    /*
    最终评审
     */
    SUBMIT_GRADE("待最终评审", 9),
    /*
    待提交纸质材料
     */
    SUBMIT_PAPER_MATERIALS("待承办单位提交材料", 10),
    /*
    待收取纸质材料
     */
    COLLECT_PAPER_MATERIALS("待区县提交材料", 11),
    /*
    取消
     */
    CANCEL("取消", 0),
    /*
    完成
     */
    COMPLETE("完成", 12);

    private final String desc;

    private final int sort;

    public String getDesc() {
        return desc;
    }

    public int getSort() {
        return sort;
    }

    RateStatus(String desc, int sort) {
        this.desc = desc;
        this.sort = sort;
    }
}
